com.tableau.hyperapi

## Enum Telemetry

- java.lang.Object
- - java.lang.Enum<Telemetry>
  - - com.tableau.hyperapi.Telemetry

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Telemetry>

      public enum Telemetry
      extends java.lang.Enum<Telemetry>

  Hyper API usage data options.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DO_NOT_SEND_USAGE_DATA_TO_TABLEAU` Disable sharing usage data with Tableau.
    `SEND_USAGE_DATA_TO_TABLEAU` Enable sharing usage data with Tableau.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Telemetry` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Telemetry[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DO_NOT_SEND_USAGE_DATA_TO_TABLEAU

          public static final Telemetry DO_NOT_SEND_USAGE_DATA_TO_TABLEAU

      Disable sharing usage data with Tableau.

    - #### SEND_USAGE_DATA_TO_TABLEAU

          public static final Telemetry SEND_USAGE_DATA_TO_TABLEAU

      Enable sharing usage data with Tableau.

  - ### Method Detail

    - #### values

          public static Telemetry[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Telemetry c : Telemetry.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Telemetry valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null